package org.jeecg.modules.weituochaxun.service.impl;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.lang.Console;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.modules.weituo.entity.ItdmWeituoInfo;
import org.jeecg.modules.weituo.mapper.ItdmWeituoInfoMapper;
import org.jeecg.modules.weituochaxun.mapper.ItdmWeituochaxunMapper;
import org.jeecg.modules.weituochaxun.service.IItdmWeituochaxunService;
import org.jeecg.modules.weituochaxun.vo.ItdmWeituoAllVO;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.TimeZone;

/**
 * @Description: 委托信息
 * @Author: jeecg-boot
 * @Date: 2023-05-17
 * @Version: V1.0
 */
@Service
public class IItdmWeituochaxunServiceImpl extends ServiceImpl<ItdmWeituochaxunMapper, ItdmWeituoInfo> implements IItdmWeituochaxunService {


    @Override
    public List<ItdmWeituoAllVO> getAll(IPage page, ItdmWeituoAllVO vo) {
        try {
            SimpleDateFormat isoFormat = new SimpleDateFormat("\"yyyy-MM-dd'T'HH:mm:ss.SSS'Z'\"");
            isoFormat.setTimeZone(TimeZone.getTimeZone("UTC"));  // 设置时区为 UTC
            SimpleDateFormat targetFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            targetFormat.setTimeZone(TimeZone.getDefault());  // 设置时区为系统默认时区

            if (vo.getStartTime() != null) {
                Date startTime = isoFormat.parse(vo.getStartTime());
                vo.setStartTime(targetFormat.format(startTime));
            }
            if (vo.getEndTime() != null) {
                Date endTime = isoFormat.parse(vo.getEndTime());
                vo.setEndTime(targetFormat.format(endTime));
            }
            return baseMapper.listAlls(page, vo);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

}
